import * as React from 'react';
import { ISPTaxonomyPickerProps, ISPTaxonomyPickerState } from './';
import { ITag } from 'office-ui-fabric-react/lib/Pickers';
import { TaxonomyService } from "../../services";
import { ITerm, ITermData } from '@pnp/sp-taxonomy';
/**
 * Picker component
 */
export declare class SPTaxonomyPicker extends React.Component<ISPTaxonomyPickerProps, ISPTaxonomyPickerState> {
    taxServ: TaxonomyService;
    private _picker;
    static defaultProps: {
        label: string;
        isDisabled: boolean;
        multi: boolean;
        required: boolean;
        defaultValues: any[];
    };
    /**
     * Constructor
     * @param props ISPPeoplePickerProps
     */
    constructor(props: any);
    /**
     * Init the component
     */
    componentDidMount(): void;
    static getDerivedStateFromProps(nextProps: ISPTaxonomyPickerProps, prevState: ISPTaxonomyPickerState): any;
    componentDidUpdate(prevProps: ISPTaxonomyPickerProps, prevState: ISPTaxonomyPickerState): void;
    arrayTaxonomyToPicker(arrayValues: Array<(ITerm & ITermData)>): Array<ITag>;
    /**
     * Filter elements by text
     * @param filterText
     */
    private _onFilterChanged;
    private _onStateChange;
    private _listContainsTag;
    /**
     * Render component
     */
    render(): JSX.Element;
}
