import { EmailsParametersBody } from "../models/EmailsParametersBody";
export declare class EmailServiceModernPage {
    siteServerRelativeUrl: string;
    constructor(siteServerRelativeUrl: string);
    /**
     * get HTML Content Template Email
     * @param urlSite site url site Relative, no full
     * @param libraryFolderPath path with library and folder
     * @param nameFile name file
     */
    getHTMLTemplateEmail(urlSite: string, libraryFolderPath: string, nameFile: string): Promise<string>;
    /**
     * Send Email
     * @param to string[]
     * @param subject
     * @param body
     * @param cc string[]
     * @param bcc string[]
     * @param from
     */
    sendEmail(to: string[], subject: string, body: string, cc?: string[], bcc?: string[], from?: string): Promise<boolean>;
    /**
     *
     * @param userLoginNames --> el TO, acepta loginName o email directamente
     * @param subject
     * @param projectName --> Nombre del proyecto para la carpeta de Style Nexus
     * @param fileNameBody
     * @param paramsBody
     * @param from --> pasar nombre de un usuario, no texto plano
     */
    sendEmailFull(userLoginNames: string[], subject: string, projectName: string, fileNameBody: string, paramsBody: Array<EmailsParametersBody>, cc?: string[], bcc?: string[], from?: string): Promise<any>;
    replaceParameters(body: string, emailsParams: Array<EmailsParametersBody>): string;
    getEmailUser(userLoginName: string): Promise<string>;
}
