import { IItemAddResult, IItemUpdateResult } from "@pnp/sp/presets/all";
export declare class ItemService {
    /**
     * Get item by Id
     * @param listName string
     * @param itemId number
     */
    getListItemById<T>(listName: string, Id: number): Promise<T>;
    /**
     * Get item by Id
     * @param listName string
     * @param expand String query expand fields
     * @param select String query select fields
     * @param Id Item id number
     */
    getListItemByIdQuery<T>(listName: string, expand: string, select: string, Id: number): Promise<T>;
    /**
     * Add item
     * @param listName string
     * @param model any
     */
    ItemAdd(listName: string, model: any): Promise<IItemAddResult>;
    /**
     * Update item
     * @param listName string
     * @param model any
     */
    ItemUpdate(listName: string, model: any): Promise<IItemUpdateResult>;
    /**
     * Delete item
     * @param listName string
     * @param itemId number
     */
    ItemDelete(listName: string, itemId: number): Promise<boolean>;
}
