export declare class WebService {
    constructor();
    /**
     * Set value to a property in a Site
     * @param siteUrl Url of the Site
     * @param propertyName Name of the property to set
     * @param propertyValue Value to set in the property
     */
    setWebProperties(siteUrl: string, propertyName: string, propertyValue: string): Promise<boolean>;
    /**
     * Get a property from a Site
     * @param siteUrl Url of the Site
     * @param propertyName Name of the property to obtain
     */
    getWebProperties(siteUrl: string, propertyName: string): Promise<string>;
    /**
     * Set Master page of parent to a web
     * @param webUrl Url of the Web where apply master page
     * @param parentWebUrl Url of the parent Web to get master page
     */
    setMastePageInheritFromParent(webUrl: string, parentWebUrl: string): Promise<boolean>;
    /**
     * Update title of the welcome page
     * @param webUrl Url of the Web where update title of welcome page
     * @param pageTitle Title of the welcome page
     */
    updateTitleWelcomePage(webUrl: string, pageTitle: string): Promise<boolean>;
}
